format_version: '1.0'


repository_url: https://github.com/FreeRADIUS/freeradius-server
issue_url: https://github.com/FreeRADIUS/freeradius-server/issues/1108


input_files:
  base_version:
    input_file: 'a-base.zip'
    commit_sha1: ea6d0d2
  fix_attempt:
    - input_file: 'b-partial-1.diff'
      commit_sha1: d35d43d4f75b890e743a3a7c9654383049a65f2f
    - input_file: 'b-partial-2.diff'
      commit_sha1: 85cc11a387df7ea668ca1fe0a971ddd7a9a097a7
    - input_file: 'b-partial-3.diff'
      commit_sha1: e2c9976d85085179a63dc22977c38c1666239e2a
    - input_file: 'b-partial-4.diff'
      commit_sha1: 6155605c5b689284d673f59372678b2ccdf6bbdd
    - input_file: 'b-partial-5.diff'
      commit_sha1: 6fb195ca0041a5f4742c57139749592f8409f304
    - input_file: 'b-partial-6.diff'
      commit_sha1: 29bffba64a6535e170c905a71896460cdd930e35
    - input_file: 'b-partial-7.diff'
      commit_sha1: cd8d5028981c670fd4f80391a10a73876b441f00
    - input_file: 'b-partial-8.diff'
      commit_sha1: 3a0b39eee0de71f29fd61866efcabaf5457b98bf
    - input_file: 'b-partial-9.diff'
      commit_sha1: 704c5e504ccaa8028ecebb07da112e19e3969518
    - input_file: 'b-partial-10.diff'
      commit_sha1: c6cd65977cfaa00c9d4519f59cb1960d12952bde
    - input_file: 'b-partial-11.diff'
      commit_sha1: d3f21116d53846fedf2687b6003065d93319e23e
    - input_file: 'b-partial-12.diff'
      commit_sha1: bf48d98da848aae081b4f52451277a282fa94a2e
    - input_file: 'b-partial-13.diff'
      commit_sha1: 37e9d0f222d23163cd181b012101eb904875278f
    - input_file: 'b-partial-14.diff'
      commit_sha1: 01adcf6e237d58527f21af738a6b73eef85b2aec
    - input_file: 'b-partial-15.diff'
      commit_sha1: 42ce25217fefe701b7c1eaeb2da2a03eb2ea13a0
    - input_file: 'b-partial-16.diff'
      commit_sha1: f7e1e937405c014fcc4a3701929390bfb67e61b6
    - input_file: 'b-partial-17.diff'
      commit_sha1: d872b9d6478eb6d8ae4197fd67c24fe6e5ea91b0
    - input_file: 'b-partial-18.diff'
      commit_sha1: 0d90ba5209683e70388921e55dfa910177c60031
    - input_file: 'b-partial-19.diff'
      commit_sha1: b27f3506766d20b21ea5361c8961ebc578e116a2
    - input_file: 'b-partial-20.diff'
      commit_sha1: d8117e1ee18bb340bd8c96013f502acd9fdec9c2
    - input_file: 'b-partial-21.diff'
      commit_sha1: 210060ec4b9037a967c69fb717294318bbf0c39b
    - input_file: 'b-partial-22.diff'
      commit_sha1: 44d10a20888b6246836e066491769fe3eace9666
    - input_file: 'b-partial-23.diff'
      commit_sha1: 0d1505c5f16ea39d36b14f6fe588957bc122ccbd
    - input_file: 'b-partial-24.diff'
      commit_sha1: 436354f6a7d7d421c2e066a9b8c622d373c22dc1
    - input_file: 'b-partial-25.diff'
      commit_sha1: 29b4eaf62dd987a0aba450d28631763419dbbf20
    - input_file: 'b-partial-26.diff'
      commit_sha1: 0c94d49fe2b1abeb56f8c06ddef29248fe50544d
    - input_file: 'b-partial-27.diff'
      commit_sha1: 882417b7dc89e08ba4bbe62b0d330924fb8c5b82
    - input_file: 'b-partial-28.diff'
      commit_sha1: 3cecaa5a151df118218cc9868c55f3d948864b46
    - input_file: 'b-partial-29.diff'
      commit_sha1: 884bf5c78bb0f8c65af279dd99e75d7a122f0215
    - input_file: 'b-partial-30.diff'
      commit_sha1: 00982244fd5f62395ae6df668e7692ecedc3b7e8
    - input_file: 'b-partial-31.diff'
      commit_sha1: 83ec5ad2d3a7884d296a7e00a90b7791431d838f
    - input_file: 'b-partial-32.diff'
      commit_sha1: 370e4c72bee7fb01cd2dbe29ae929901a3193cf3
    - input_file: 'b-partial-33.diff'
      commit_sha1: 2c1184b1bc6b7eababfbea575cb19e3a4c6e4603
    - input_file: 'b-partial-34.diff'
      commit_sha1: 4e539e26f0c2ba2b4d8be1f96651d759aa0eb297
    - input_file: 'b-partial-35.diff'
      commit_sha1: e1ad4dc8b2935f87df0c295728192126011dd526
    - input_file: 'b-partial-36.diff'
      commit_sha1: c5a693a744a1eb81b2c045b3333c7b19d02b986d
    - input_file: 'b-partial-37.diff'
      commit_sha1: b1a67743d78c4abe3517e941dfc5e215fd8cdaeb
    - input_file: 'b-partial-38.diff'
      commit_sha1: beb5459bf3aa8d28d6026933ee9bad2aaa773fe2
    - input_file: 'b-partial-39.diff'
      commit_sha1: f8516ef7a99df7f3746f1ff83d7147ed420c0f15

        
expected_fix:
  input_file: 'c-expected-fix.diff'
  commit_sha1: e12095e6ade34989681cfd5fa55d58a9afe45c62

options:
  language: C
